New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

OpenSSL Compat Layer #446

Open
thommey opened this Issue Aug 16, 2017 · 1 comment

Comments

Projects
None yet
1 participant
@thommey
Member

thommey commented Aug 16, 2017

with the increasing deprecations and compatibility issues between OpenSSL 0.9.8, 1.0.2 and 1.1.0, we should have a designated compatibility header file (that can of course depend on config.h defines, but maybe they should be version tests instead of functionality tests? only works if we stay on top of updating it when new openssl versions come out. could also phase the tests out into a separate .m4)

@thommey

This comment has been minimized.

Show comment
Hide comment
@thommey

thommey Aug 16, 2017

Member

this includes SSLv23_method() being deprecated for no apparent reason

Member

thommey commented Aug 16, 2017

this includes SSLv23_method() being deprecated for no apparent reason

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment